Show whether tags are active
Closed, ResolvedPublic

Description

Currently, tags from deleted filters are not ignored by the system and are visible at [[Special:Tags]] (now cleaned up). This seems unecessary to allow deleted filters to create tags.


Version: 1.22.0
Severity: enhancement

bzimport set Reference to bz18908.
Cenarium created this task.Via LegacyMay 25 2009, 2:35 PM
Cenarium added a comment.Via ConduitMay 25 2009, 6:36 PM

Also, it looks like when a tag matched once, it will always remain, and cannot be reassigned from an abuse filter. This creates problems when the name of a tag is changed in an abuse filter, it won't be reassigned to the new name, new tagged edits are assigned to the first name (e.g. when Section blanking has been changed to section blanking on enwiki).

Maybe a way to solve the problem is being able to create tags on their own, delete them and rename them. Then one can choose a tag among the existing ones for an abuse filter.

Cenarium added a comment.Via ConduitJun 3 2009, 2:36 PM

Expanded on this at bug 18670 . Still the initial matter for deleting filters calling tags.

werdna added a comment.Via ConduitJun 3 2009, 4:07 PM

Fixed a related issue, but not the one you're thinking of in r51415.

However, tags which have been applied to edits should be shown in the interface, even if they are no longer applied. The solution to removing annoying old tags is to provide functionality for mass-removing and moving tags from edits, which is in another bug report.

To summarize: this is expected behaviour.

gerritbot added a comment.Via ConduitAug 29 2013, 7:37 PM

Change 81830 had a related patch set uploaded by Matmarex:
Show whether tags are active on Special:Tags

https://gerrit.wikimedia.org/r/81830

matmarex added a comment.Via ConduitAug 29 2013, 7:38 PM

The patch above adds a separate column informing the user whether the tag is currently active or not.

Yay for reopening four-year-old bugs!

gerritbot added a comment.Via ConduitOct 2 2013, 9:23 PM

Change 81830 merged by jenkins-bot:
Show whether tags are active on Special:Tags

https://gerrit.wikimedia.org/r/81830

TTO moved this task to Feature requests on the MediaWiki-Change-tagging workboard.Via WebMar 1 2015, 3:29 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.